<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="D:\work\WTP\org.eclipse.jst.j2ee.core\rose\j2ee.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="The ejb-link element is used in the service-impl-bean element to specify that a Service Implementation Bean is defined as a Web Service Endpoint.    The value of the ejb-link element must be the ejb-name of an enterprise bean in the same ejb-jar file.    Used in: service-impl-bean    Examples:   ejb-link EmployeeRecord /ejb-link   	 ejb-link ../products/product.jar#ProductEJB /ejb-link ">
<meta name="KeyWords" content="EJBLink,Class EJBLink,j2ee,model j2ee,">
<a href="../../root.html" target=_top><IMG SRC="../../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>Class&nbsp;EJBLink&nbsp;{Java}&nbsp;derived&nbsp;from:&nbsp;<a href="class3e3952e700ec.htm" target="contents_frame">BeanLink</a></b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Documentation</b></font><BR><font FACE="Arial, Geneva" SIZE=2>The&nbsp;ejb-link&nbsp;element&nbsp;is&nbsp;used&nbsp;in&nbsp;the&nbsp;service-impl-bean&nbsp;element&nbsp;to&nbsp;specify&nbsp;that&nbsp;a&nbsp;Service&nbsp;Implementation&nbsp;Bean&nbsp;is&nbsp;defined&nbsp;as&nbsp;a&nbsp;Web&nbsp;Service&nbsp;Endpoint.
<BR>
<BR>The&nbsp;value&nbsp;of&nbsp;the&nbsp;ejb-link&nbsp;element&nbsp;must&nbsp;be&nbsp;the&nbsp;ejb-name&nbsp;of&nbsp;an&nbsp;enterprise&nbsp;bean&nbsp;in&nbsp;the&nbsp;same&nbsp;ejb-jar&nbsp;file.
<BR>
<BR>Used&nbsp;in:&nbsp;service-impl-bean
<BR>
<BR>Examples:
<BR>&lt;ejb-link&gt;EmployeeRecord&lt;/ejb-link&gt;
<BR>	&lt;ejb-link&gt;../products/product.jar#ProductEJB&lt;/ejb-link&gt;
<BR></font><BR><BR>
</body>
</html>
